#
# spec file for package perl-Audio-Scan (Version 0.87)
#
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

Name:           perl-Audio-Scan
Version:        0.87
Release:        1.2
License:        CHECK(Distributable)
%define cpan_name Audio-Scan
Summary:        Fast C metadata and tag reader for all common audio file formats
Url:            http://search.cpan.org/dist/Audio-Scan/
Group:          Development/Libraries/Perl
Source0:        http://www.cpan.org/authors/id/A/AG/AGRUNDMA/Audio-Scan-%{version}.tar.gz
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  zlib-devel
Requires:       perl(Test::Warn)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
Audio::Scan is a C-based scanner for audio file metadata and tag
information. It currently supports MP3, MP4, Ogg Vorbis, FLAC, ASF, WAV,
AIFF, Musepack, Monkey's Audio, and WavPack.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes COPYING README

%changelog
* Fri Jul  8 2011 malcolmlewis@opensuse.org
- initial package 0.87
  * created by cpanspec 1.78.03
